import type {AddViewConfig} from '@/helpers/models';

export const addViewConfig: AddViewConfig = {
  pages: [
    {
      label: 'General',
      name: 'general',
      fieldsets: [
        {
          label: 'Basic settings',
          name: 'general__basicSettings',
          rows: [
            [
              {
                type: 'UInputText',
                props: {
                  name: 'displayName',
                  label: 'Display name',
                  required: true,
                  access: 'write',
                },
              },
              {
                type: 'UInputText',
                props: {
                  name: 'name',
                  label: 'Name',
                  required: true,
                  access: 'write',
                },
              },
            ],
            [
              {
                type: 'UComboBox',
                props: {
                  name: 'school',
                  label: 'School',
                  required: true,
                  access: 'write',
                  options: [
                    {
                      label: 'Schule 1',
                      value: 'school1',
                    },
                    {
                      label: 'Schule 2',
                      value: 'school2',
                    },
                  ],
                },
              },
              {
                type: 'UInputText',
                props: {
                  name: 'desription',
                  label: 'Description',
                  required: true,
                  access: 'write',
                },
              },
            ],
            [
              {
                type: 'UInputDate',
                props: {
                  name: 'divisStartdate',
                  label: 'Creation date',
                  required: false,
                  access: 'write',
                },
              },
              {
                type: 'UInputDate',
                props: {
                  name: 'divisEnddate',
                  label: 'Expiry date',
                  required: false,
                  access: 'write',
                },
              },
            ],
          ],
        },
      ],
    },
  ],
};
